# Ogre::HardwareBufferManager::VertexBufferLicense Class Reference

Struct holding details of a license to use a temporary shared buffer. More...

`#include <OgreHardwareBufferManager.h>`

List of all members.

## Public Member Functions

| VertexBufferLicense (HardwareVertexBuffer *orig, BufferLicenseType ltype, HardwareVertexBufferSharedPtr buf, HardwareBufferLicensee *lic)

## Public Attributes

HardwareVertexBuffer * | originalBufferPtr
BufferLicenseType | licenseType
HardwareVertexBufferSharedPtr | buffer
HardwareBufferLicensee * | licensee

## Detailed Description

Struct holding details of a license to use a temporary shared buffer.

Definition at line 113 of file OgreHardwareBufferManager.h.

## Constructor & Destructor Documentation

Ogre::HardwareBufferManager::VertexBufferLicense::VertexBufferLicense | ( | HardwareVertexBuffer * | orig,
|  | BufferLicenseType | ltype,
|  | HardwareVertexBufferSharedPtr | buf,
|  | HardwareBufferLicensee * | lic
| ) |

| Definition at line 120 of file OgreHardwareBufferManager.h.

## Member Data Documentation

HardwareVertexBufferSharedPtr Ogre::HardwareBufferManager::VertexBufferLicense::buffer

| Definition at line 118 of file OgreHardwareBufferManager.h.

HardwareBufferLicensee* Ogre::HardwareBufferManager::VertexBufferLicense::licensee

| Definition at line 119 of file OgreHardwareBufferManager.h.

BufferLicenseType Ogre::HardwareBufferManager::VertexBufferLicense::licenseType

| Definition at line 117 of file OgreHardwareBufferManager.h.

HardwareVertexBuffer* Ogre::HardwareBufferManager::VertexBufferLicense::originalBufferPtr

| Definition at line 116 of file OgreHardwareBufferManager.h.

The documentation for this class was generated from the following file:

- OgreHardwareBufferManager.h

Copyright © 2000-2005 by The OGRE Team
Last modified Sun Nov 20 12:36:53 2005